Name: gscmxx
Version: 0.4.1
Release: alt2

Epoch: %(date +%%Y%%m%%d)

Summary: Graphical frontend for Siemens mobile phones
License: GPL
Group: Communications

Url: http://gscmxx.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: gscmxx-russian
Source2: gscmxx.desktop
Patch0: gscmxx-0.4.1-style.asp.patch
Patch1: gscmxx-0.4.1-iconv.asp.patch
Patch2: gscmxx-0.4.1-langres.asp.patch
Patch3: gscmxx-0.4.1-064.asp.patch
Patch4: gscmxx-0.4.1-sortsms.asp.patch
Patch5: gscmxx-0.4.1-all-sms.asp.patch
Patch6: gscmxx-0.4.1-unicode.asp.patch

BuildArch: noarch

#Packager: Michael Shigorin <mike@altlinux.ru>

Summary(ru_RU.KOI8-R):       Siemens
Summary(uk_UA.KOI8-U): Ʀ ̦     Siemens

# Automatically added by buildreq on Sat Jan 03 2004
BuildRequires: ImageMagick XFree86-libs freetype2 glib gtk+ perl-GTK perl-Image-Size perl-Magick perl-devel scmxx
# Encode.pm somehow got missed by buildreq
BuildRequires: perl-i18n

Requires: scmxx

%description
With gscmxx you can access your Siemens cell phones from your desktop.
It supports phonebooks, addressbook, SMS and some other features.

%description -l ru_RU.KOI8-R
  gscmxx       Siemens - Linux.
:    , SMS  .

%description -l uk_UA.KOI8-U
  gscmxx   Ħ  Ϥ ¦ Siemens -Ц Linux.
:    , SMS  .

%prep
%setup -q
%patch0 -p1 -b .style
%patch1 -p1 -b .iconv
%patch2 -p1 -b .langres
%patch3 -p1 -b .064
%patch4 -p1 -b .sortsms
%patch5 -p1 -b .all-sms
%patch6 -p1 -b .unicode
%__install -m644 %SOURCE1 share/i18n/russian

%build
CFLAGS="%optflags" %__perl Makefile.PL INSTALLDIRS=vendor PREFIX=%prefix
%make OPTIMIZE="%optflags" PREFIX=%prefix
%make test

%install
%makeinstall PREFIX=%buildroot%prefix
%__mkdir_p %buildroot%_datadir/applications/
%__sed -e 's|\@datadir\@|%_datadir|g' \
	< %SOURCE2 \
	> %buildroot%_datadir/applications/%name.desktop
# menu
%__mkdir_p %buildroot/%_menudir
%__cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
 section="Applications/Communications" \
 title="gscmxx" \
 longtitle="Frontend for your Siemens mobile phone" \
 command="%_bindir/%name" \
 icon="%name.png"
EOF
%__install -d %buildroot/%_miconsdir
%__install -d %buildroot/%_iconsdir
%__install -d %buildroot/%_liconsdir
convert -resize 16x16 pixmaps/phonebook.xpm %buildroot/%_miconsdir/%name.png
convert -resize 32x32 pixmaps/phonebook.xpm %buildroot/%_iconsdir/%name.png
convert -resize 48x48 pixmaps/phonebook.xpm %buildroot/%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%doc Changes INSTALL README TODO doc/
%_bindir/*
%perl_vendor_privlib/SCMxx.pm
%perl_vendor_privlib/SCMxx
%_mandir/*/*
%_datadir/pixmaps/%name
%_datadir/%name
%_datadir/applications/*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Fri Aug 20 2004 Gor <vg@altlinux.ru> 20040820:0.4.1-alt2
- Fix Requires

* Sat Jan 03 2004 Michael Shigorin <mike@altlinux.ru> 20040103:0.4.1-alt1
- built for ALT Linux
- partially based on 0.4.1 specs from:
  Mandrake (by Lenny Cartier <lenny mandrakesoft com>) and
  ASPLinux (by Andy Shevchenko <andriy asplinux ru>;
            based on spec by Koppi <koppi weirdoz net>)
- borrowed some patches and translation/desktop files from ASP too

